Closed Bug 1592998 Opened 5 months ago Closed 5 months ago

Intermittent svg/smil/transform/paced-1.svg == svg/smil/transform/paced-1-ref.svg | image comparison, max difference: 5, number of differing pixels: 101

Categories

(Core :: SVG, defect, P5)

defect

Tracking

()

RESOLVED FIXED
mozilla72
Tracking Status
firefox72 --- fixed

People

(Reporter: intermittent-bug-filer, Assigned: CosminS)

References

Details

(Keywords: intermittent-failure, Whiteboard: [stockwell disable-recommended])

Attachments

(1 file)

Filed by: opoprus [at] mozilla.com
Parsed log: https://treeherder.mozilla.org/logviewer.html#?job_id=273870897&repo=autoland
Full log: https://queue.taskcluster.net/v1/task/AyJTXLEES4GVB3E62XDfbQ/runs/0/artifacts/public/logs/live_backing.log
Reftest URL: https://hg.mozilla.org/mozilla-central/raw-file/tip/layout/tools/reftest/reftest-analyzer.xhtml#logurl=https://queue.taskcluster.net/v1/task/AyJTXLEES4GVB3E62XDfbQ/runs/0/artifacts/public/logs/live_backing.log&only_show_unexpected=1


[task 2019-10-31T11:18:44.119Z] 11:18:44 INFO - REFTEST TEST-START | file:///Users/cltbld/tasks/task_1572519344/build/tests/reftest/tests/layout/reftests/svg/smil/transform/paced-1.svg == file:///Users/cltbld/tasks/task_1572519344/build/tests/reftest/tests/layout/reftests/svg/smil/transform/paced-1-ref.svg
[task 2019-10-31T11:18:44.120Z] 11:18:44 INFO - REFTEST TEST-LOAD | file:///Users/cltbld/tasks/task_1572519344/build/tests/reftest/tests/layout/reftests/svg/smil/transform/paced-1.svg | 2 / 15 (13%)
[task 2019-10-31T11:18:44.140Z] 11:18:44 INFO - ++DOMWINDOW == 10 (0x124256c00) [pid = 2032] [serial = 10] [outer = 0x123578020]
[task 2019-10-31T11:18:44.180Z] 11:18:44 INFO - [Child 2033, Main Thread] WARNING: No CID found when attempting to map contract ID: file /builds/worker/workspace/build/src/xpcom/components/nsComponentManager.cpp, line 729
[task 2019-10-31T11:18:44.239Z] 11:18:44 INFO - REFTEST TEST-LOAD | file:///Users/cltbld/tasks/task_1572519344/build/tests/reftest/tests/layout/reftests/svg/smil/transform/paced-1-ref.svg | 2 / 15 (13%)
[task 2019-10-31T11:18:44.245Z] 11:18:44 INFO - ++DOMWINDOW == 11 (0x11b34a400) [pid = 2032] [serial = 11] [outer = 0x123578020]
[task 2019-10-31T11:18:44.313Z] 11:18:44 INFO - REFTEST INFO | REFTEST fuzzy test (0, 0) <= (5, 101) <= (3, 50)
[task 2019-10-31T11:18:44.396Z] 11:18:44 INFO - ++DOMWINDOW == 12 (0x11b34fc00) [pid = 2032] [serial = 12] [outer = 0x123578020]
[task 2019-10-31T11:18:44.487Z] 11:18:44 INFO - REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/tasks/task_1572519344/build/tests/reftest/tests/layout/reftests/svg/smil/transform/paced-1.svg == file:///Users/cltbld/tasks/task_1572519344/build/tests/reftest/tests/layout/reftests/svg/smil/transform/paced-1-ref.svg | image comparison, max difference: 5, number of differing pixels: 101

Geoff, any ideas what should be done here? Should we increase the fuzzy if range on windows, mac and linux by the looks of https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?startday=2019-10-16&endday=2019-11-15&tree=trunk&bug=1592998 or skip it altogether?

Flags: needinfo?(gbrown)

dholbert looked at this recently in bug 1503470; let's ask him...

Flags: needinfo?(gbrown) → needinfo?(dholbert)
See Also: → 1503470

(In reply to Geoff Brown [:gbrown] from comment #7)

dholbert looked at this recently in bug 1503470; let's ask him...

(That was paced-1.svg, whereas this is paced-2.svg. But yes, looks like the same issue.)

We should add a fuzzy annotation that satisfies the current amount of fuzziness that we're observing. (I glanced at a linux and a windows reftest-analyzer view, and it's just a few pixels on the curvy edges of circles, so the failure is likely due to an unimportant/uninteresting antialiasing difference.)

So: that's my suggestion, but I don't have cycles at the moment to look at the various platforms/logs and put together the right fuzzy annotation. Could one of you do that?

Flags: needinfo?(dholbert) → needinfo?(gbrown)

(In reply to Daniel Holbert [:dholbert] from comment #8)

(In reply to Geoff Brown [:gbrown] from comment #7)

dholbert looked at this recently in bug 1503470; let's ask him...

(That was paced-1.svg, whereas this is paced-2.svg. But yes, looks like the same issue.)

Er... I could've sworn I saw paced-2.svg somewhere, but maybe I misread -- on second glance, I guess this is paced-1.svg after all. :)

Anyway: the fuzzy annotation for this test does just need a "bump". We should not disable/skip the test.

Whiteboard: [stockwell disable-recommended]
Pushed by csabou@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/bfddca445c5e
Adjust paced-1.svg fuzzy if range because of frequent failures on mac, linux and windows. r=dholbert
Flags: needinfo?(gbrown)
Status: NEW → RESOLVED
Closed: 5 months ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla72
Assignee: nobody → csabou
You need to log in before you can comment on or make changes to this bug.